use std::net::SocketAddr;

use serde::Deserialize;
use url::Url;

#[derive(Deserialize)]
pub struct Config {
    pub database_url: String,
    pub bind_addr: SocketAddr,
    pub database: String,
    pub link_len: u8,
    pub base_url: Url,
}
